
	function board_upload_object_view(src){
			document.write(src);
	}	// function

	function attachFile()
	{
		if (nmail_updown_cp_check() == false) return;

		//frm.fUpload.AddFile(frm.txtAttachFile.value);
		frm.fUpload.AddFindFile();
		uploadAutoResize();
		attachSizeUpdate();
	}
	function attachFolder()
	{
		if (nmail_updown_cp_check() == false) return;

		frm.fUpload.AddFolder();
		uploadAutoResize();
		attachSizeUpdate();

		nm_isAttachFolder = true;
	}
	function Del_File()
	{
		if (nmail_updown_cp_check() == false) return;

		frm.fUpload.DeleteFile();
		attachSizeUpdate();
	}
	function ListTest()
	{
		frm.fUpload.TestLinkListValue();
	}
	function upload()
	{
		if (nmail_updown_cp_check() == false) return;

		if (frm.fUpload.TotalUploadCount() < 1)
		{
			//alert("업로드할 파일을 먼저 추가하여 주십시오.");
		} else 
		{
			frm.fUpload.UploadExistUrl("");
			frm.fUpload.UploadUrlAddress(nm_http_url_root + "/board_up_ok.php?ba_no=" + document.forms.register.ba_no.value);

			var fileinfo = frm.fUpload.GetUpFileInfo();

			var result = frm.fUpload.UploadStart(0);

			// 업로드 성공시 업로드한 파일 목록을 저장함
			if (result == '1')
			{
				document.forms.register.b_files.value = fileinfo.replace(/\|\:\|/g, '||').replace(/\//g, '|');
			} else
			{
				if (confirm("파일 첨부가 실패하였습니다.\n\n파일을 다시 첨부하거나 게시물 내용을 수정하시겠습니까?\n\n\n※ [취소]를 누르면 게시물이 그대로 등록됩니다."))
				{
					return false;
				}
			}

			document.getElementById('fUpload').height = 105;

			attachSizeUpdate();
		}	// if()
	}
	function getUploadFile_test()
	{
		var tmpsize = frm.fUpload.GetTotalUpSize();  //업로드 파일의 총크기

		var tmpcount = frm.fUpload.TotalUploadCount(); // 업로드 파일 갯수

		var tmpfile = frm.fUpload.GetUpFileInfo(); //업로드 파일정보.

		alert(tmpsize + ' | ' + tmpcount + ' | ' + tmpfile);		
	}	// function()

	function uploadAutoResize()
	{
		var obj = document.getElementById('fUpload');
		var tuc = obj.TotalUploadCount();
		var tcu_base = 18;
		var tcu_margin = 20;
		var tcu_max = 400;
		var u_height = parseInt(obj.height, 10);
		var now_height = (tuc * tcu_base)+tcu_margin;
		if (u_height < now_height)
		{
			if (now_height > tcu_max)
				now_height = tcu_max;
			obj.height = now_height;
		}	// if()
	}	// function()

	function UpdateSize()
	{
		attachSizeUpdate();
		/*
		var s_big = frm.fUpload.GetBigTotalSize(); //대용량 첨부파일 사이즈
		var s_small = frm.fUpload.GetSmallTotalSize(); //일반첨부파일 사이즈.
		alert('UpdateSize : ' + s_big + ' / ' + s_small);
		*/
	}	// function()

	function nmail_updown_cp_error()
	{
		nmail_updown_cp_status = false;
		//alert("업로드/다운로드용 컴포넌트가 설치되지 않았습니다.");		
	}	// function()

	function nmail_updown_cp_check()
	{
		if (!frm)
		{
			alert("업로드/다운로드를 위한 ActiveX 컨트롤이 로드되지 않았습니다.\n\n화면이 제대로 보이지 않을 경우 브라우저에서 [새로고침]을 시도해보시기 바랍니다. ");
			return false;
		}	// if()

		if (nmail_updown_cp_status == false)
		{
			alert("업로드/다운로드를 위한 ActiveX 컨트롤이 설치되지 않았습니다.");
			return false;
		}	// if()		
	}	// function()

	function SizeCalc(fileSize) {
		var strSize = 0.0;
		var strUnit = "";

		// GB 단위 계산
		if (fileSize > (1024*1024*1024))
		{
			strSize = (fileSize / (1024 * 1024 * 1024));
			strUnit = "G";
		} else if (fileSize > (1024*1024))              // MB 단위 계산
		{
			strSize = (fileSize / (1024 * 1024));
			strUnit = "M";
		}else	// KB 단위 계산
		{
			strSize = (fileSize / 1024);
			strUnit = "K";
		}

		return strSize.toFixed(2) + strUnit;
	}

	function attachSizeUpdate()
	{
		document.getElementById('sUploadSize').innerHTML = SizeCalc(frm.fUpload.GetSmallTotalSize());
	}	// function()



	function upload_mode_change_text()
	{
		if (confirm("업로드 방식을 Text 모드로 전환하시겠습니까?\n\n주의) 입력하신 내용이 사라집니다.\n\n참고) 게시물 작성후 수정화면에서 파일을 다시 등록할 수 있습니다."))
		{
			var expDate = new Date();
			expDate.setDate(expDate.getDate() + 365);
			document.cookie = 'nm_upmode=T;expires='+expDate.toGMTString();

			location.reload();
		}	// if()			
	}	// function()

	function upload_mode_change_activex()
	{
		// IE 외의 브라우저에서는 ActiveX를 지원하지 않으므로 비활성화처리
		if (navigator.appVersion.indexOf("MSIE") == -1)
		{
			alert("ActiveX 모드는 Internet Explorer 웹브라우저에서만 지원됩니다.");
		} else if (get_activex_use_support() == false)		// [2012-10-22] IE 10 fix
		{
			alert("현재 브라우저에서는 ActiveX를 지원하지 않습니다.");
		} else if (confirm("업로드 방식을 ActiveX 모드로 전환하시겠습니까?\n\n주의) 입력하신 내용이 사라집니다.\n\n참고) 게시물 작성후 수정화면에서 파일을 다시 등록할 수 있습니다."))
		{
			var expDate = new Date();
			expDate.setDate(expDate.getDate() + 365);
			document.cookie = 'nm_upmode=A;expires='+expDate.toGMTString();

			location.reload();
		}	// if()
	}	// function()



	function chk_register()
	{
		var f = document.register;

		if (f.b_memo)
		{
			if (nm_webeditor == 'GM')
			{
				f.b_memo.value = SubmitHTML();
			} else if (nm_webeditor == 'OPEN')
			{
				f.b_memo.value = document.getElementById('wysiwygb_memo').contentWindow.document.body.innerHTML;
			}
		}	// if()

		if(f.is_member.value == false)
		{
			if (f.mode_now.value != "DEL")
			{
				if (form_chk_value(f.b_name, "글쓴이") == false) return;
				if (form_chk_minLen(f.b_name, "글쓴이", 2) == false) return;

				/*if ((f.b_isuse_reply_mail[0].checked == true)&&(f.b_email.value == ""))
				{
					f.b_isuse_reply_mail[1].checked = true;
				}
				*/

				/* // [2010-06-09]
				if (
					(f.b_isuse_reply_mail[0].checked == true) && 
					(
						(f.b_email.value.toLowerCase().indexOf("hanmail.net") >=0) ||
						(f.b_email.value.toLowerCase().indexOf("daum.net") >=0)
					)
				)
				{
					alert("선택하신 다음메일(daum.net) 계정 으로는 [온라인우표제] 시행으로 인하여\n 답변메일, 이벤트메일, 소식지 등의 내용이 담긴 메일이 도착하지 않을 수 있습니다. \n가급적 자주 사용하시는 다른 메일주소를 입력해 주시기 바랍니다.");
					f.b_email.focus();
					return;
				}
				*/
			}

			if (form_chk_value(f.b_pwd, "비밀번호") == false) return;
			if (form_chk_minLen(f.b_pwd, "비밀번호", 4) == false) return;
		}

		if (f.mode_now.value != "DEL")
		{
			if (f.bca_no != null)
			{
				if (form_chk_value(f.bca_no, "분류") == false) return;
			}

			if (form_chk_value(f.b_subject, "제목") == false) return;
			//if (form_chk_value(f.b_memo, "내용") == false) return;
			if (f.b_memo.value == "")
			{
				alert("내용을 입력하세요");
				return;
			}	// if()
		}

		if (f.board_upload_type)
		{
			if (f.board_upload_type.value == '0')
			{
				//
			} else if (f.board_upload_type.value == '1')
			{
				if (nmail_updown_cp_status != false)
				{
					if (upload() == false) return;
				}
			}
		}

		if (f.mode_now.value == 'DEL')
		{
			if(!confirm(f.mode_name.value + "하시겠습니까?")) return;
		}

		f.submit();
	}


var board_write_draft_save_length = 0;
function board_write_draft_save(isauto)
{
	var form = document.forms.register;

	var body_length = 0;
	if (form.b_memo)
	{
		var html = '';
		if (nm_webeditor == 'GM')
		{
			form.b_memo.value = SubmitHTML();
			html = trim(form.b_memo.value);
		} else if (nm_webeditor == 'OPEN')
		{
			form.b_memo.value = document.getElementById('wysiwygb_memo').contentWindow.document.body.innerHTML;
			html = trim(form.b_memo.value);
		} else if (nm_webeditor == 'TINYMCE')
		{
			html = trim(tinyMCE.get('b_memo').getContent());
		}
		body_length = html.length;
	}

	// 자동 임시저장시 본문 내용이 입력되었고 내용이 변했을때만 저장함.
	// [2007-06-05] 파이어폭스에서 <br> 이 기본으로 적용되므로 10자 이상 입력시에만 자동 저장되도록 함.
	if (isauto >= 1)		// [2008-06-09] 0, 1, 2(ActiveX 모드 전환)
	{
		if (body_length > 10 && body_length != board_write_draft_save_length)
		{
			board_write_draft_save_length = body_length;
		} else
		{
			return false;
		}
	}

	// 임시보관함에 저장할때 첨부파일은 제외함.

	var _target = form.target;
	var _action = form.action;

	form.target = '_nm_hidden_frame';
	form.action = nmpath + '/' + nm_php_self + '?mode=DRAFT_OK&is_draft_save=1&isauto=' + isauto + '&'+get_qs;
	//form.enctype = "";
	form.submit();
	form.target = _target;
	form.action = _action;
	//form.enctype = "multipart/form-data";
}
